tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 53863] Unable to override default servlet when using Tomcat in embedded mode
Date Sun, 16 Sep 2012 18:19:35 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=53863

Mark Thomas <markt@apache.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|---                         |FIXED
            Summary|Unable to override default  |Unable to override default
                   |servlet other than in main  |servlet when using Tomcat
                   |web.xml                     |in embedded mode

--- Comment #2 from Mark Thomas <markt@apache.org> ---
There is a bug here but it was hard work to find. The lack of key information
provided with the test case did not help. For future reference, the following
information would have saved some considerable time:
- Maven version required (build failed with 2.2.1, worked with 3.0.4)
- Steps to execute the test case
- Make clear the issue was with embedded mode

The best test cases are as small as possible and are written as unit tests (of
which plenty of examples exist in the code base - including ones that use
SCIs).

The bug was that the implicit servlets (JSP, default) when added in embedded
mode were not marked as override-able. This has been fixed in trunk and 7.0.x
and will be included in 7.0.31 onwards.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message